Description: XFree86 fonts iso-8859-2 (Polish only)
Name: XFree86-fonts-iso2
Version: 970411
Release: 1
Copyright: GPL, Distributable (courier Type 1)
Group: X11/XFree86
Requires: type1inst
Source: ftp://rudy.mif.pg.gda.pl/pub/People/kloczek/XFree86-fonts-iso2-970411.tar.gz
Distribution: Red Hat Linux Colgate
BuildRoot: /tmp/XFree86-fonts-iso2-root
Packager: Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>

%prep
%setup -n XFree86-fonts-iso2

%build

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/100dpi
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/75dpi
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/Type1

make install "ROOT_FONT_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts"

%post
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/100dpi/ ..."
cd /usr/X11R6/lib/X11/fonts/100dpi/
mkfontdir
echo
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/75dpi/ ..."
cd /usr/X11R6/lib/X11/fonts/75dpi/
mkfontdir
echo
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/misc/ ..."
cd /usr/X11R6/lib/X11/fonts/misc/
mkfontdir
echo
cat <<EOF >> /usr/X11R6/lib/X11/fonts/Type1/fonts.alias
-ibm-courier-medium-r-normal--0-0-0-0-m-0-iso8859-2 -ibm-courier-medium-r-normal--0-0-0-0-m-0-adobe-fontspecific
-ibm-courier-bold-r-normal--0-0-0-0-m-0-iso8859-2 -ibm-courier-bold-r-normal--0-0-0-0-m-0-adobe-fontspecific
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso8859-2 -ibm-courier-bold-i-normal--0-0-0-0-m-0-adobe-fontspecific
-ibm-courier-medium-i-normal--0-0-0-0-m-0-iso8859-2 -ibm-courier-medium-i-normal--0-0-0-0-m-0-adobe-fontspecific
EOF
cd /usr/X11R6/lib/X11/fonts/Type1
type1inst -nogs
rm -rf fonts.scale.bak type1inst.log
 
%postun
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/100dpi/ ..."
cd /usr/X11R6/lib/X11/fonts/100dpi/
mkfontdir
echo
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/75dpi/ ..."
cd /usr/X11R6/lib/X11/fonts/75dpi/
mkfontdir
echo
echo -n "Runing mkfontdir in /usr/X11R6/lib/X11/fonts/misc/ ..."
cd /usr/X11R6/lib/X11/fonts/misc/
mkfontdir
echo
cd /usr/X11R6/lib/X11/fonts/Type1
type1inst -nogs
rm -rf fonts.scale.bak type1inst.log

%files
%doc README
%doc README.Polish
%doc ChangesLog
/usr/X11R6/lib/X11/fonts/100dpi/*.pcf.Z
/usr/X11R6/lib/X11/fonts/75dpi/*.pcf.Z
/usr/X11R6/lib/X11/fonts/misc/*.pcf.Z
/usr/X11R6/lib/X11/fonts/Type1/*.pfa

%changelog
* Mon Apr 9 1997 Tomasz Koczko <Kloczek@rudy.mif.pg.gda.pl>
  new version
   - added iso2 courier Type1.
